Page MenuHomePhabricator

When many commits are discovered at once, import them at lower priority
ClosedPublic

Authored by epriestley on Aug 12 2019, 7:09 PM.
Tags
None
Referenced Files
F12534376: D20712.diff
Mon, Mar 4, 10:49 PM
Unknown Object (File)
Mon, Feb 12, 8:27 AM
Unknown Object (File)
Sun, Feb 11, 10:47 PM
Unknown Object (File)
Feb 3 2024, 11:04 PM
Unknown Object (File)
Dec 28 2023, 11:18 AM
Unknown Object (File)
Dec 25 2023, 11:49 AM
Unknown Object (File)
Dec 10 2023, 3:51 PM
Unknown Object (File)
Nov 30 2023, 2:19 AM
Subscribers
None

Details

Summary

Ref T13369. See that task for discussion.

When the discovery daemon finds more than 64 commits to import, demote the worker queue priority of the resulting tasks.

Test Plan
  • Pushed one commit, ran bin/repository discover --verbose --trace ..., saw commit import with "at normal priority" message and priority 2500 ("PRIORITY_COMMIT").
  • Pushed 3 commits, set threshold to 3, ran bin/repository discover ..., saw commist import with "at lower priority" message and priority 4000 ("PRIORITY_IMPORT").

Diff Detail

Repository
rP Phabricator
Lint
Lint Not Applicable
Unit
Tests Not Applicable

Event Timeline

This revision was not accepted when it landed; it landed in state Needs Review.Aug 12 2019, 7:59 PM
This revision was automatically updated to reflect the committed changes.